using UnityEngine;

namespace Assets.Source.Core.Managers
{
    public class ScriptableWorkersTicker : MonoBehaviour
    {
        //private ScriptableWorkersController _controller;

        //void Awake()
        //{
        //    _controller = GetComponent<ScriptableWorkersController>();
        //}

        void Update()
        {
            foreach (var worker in ScriptableWorkersController.Workers)
                worker.Update();
        }

        void FixedUpdate()
        {
            foreach (var worker in ScriptableWorkersController.Workers)
                worker.FixedUpdate();
        }
    }
}
